x264 (2:0.163.3060+git5db6aa6-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 26 Feb 2022 18:21:41 +0100

x264 (2:0.163.3060+git5db6aa6-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.5.1, no changes needed.

  [ Rico Tzschichholz ]
  * Update to new stable upstream
  * New upstream version 0.163.3060+git5db6aa6
  * Update debian/control for soname bump
  * Drop upstream and obsolete GPAC patches
  * Add build-dep on pkg-config
  * Regenerate manpage

  [ Sebastian Ramacher ]
  * debian/control: Bump Standards-Version
  * debian/copyright: Bump copyright years

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 18 Feb 2022 08:35:05 +0100

x264 (2:0.160.3011+gitcde9a93-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix to support GPAC >= 0.8.0. (Closes: #975441)

 -- Adrian Bunk <bunk@debian.org>  Thu, 15 Jul 2021 15:06:22 +0300

x264 (2:0.160.3011+gitcde9a93-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable
  * debian/rules: Fix awk invocation to work with make 4.2 and 4.3 (Closes:
    #966241)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 26 Jul 2020 16:52:56 +0200

x264 (2:0.160.3011+gitcde9a93-1) experimental; urgency=medium

  * Update to new stable upstream
  * New upstream version 0.160.3011+gitcde9a93
  * Update debian/control for soname bump
  * Regenerate manpage

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 13 Jul 2020 21:29:33 +0200

x264 (2:0.159.2999+git296494a-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 12 Jul 2020 18:46:44 +0200

x264 (2:0.159.2999+git296494a-1) experimental; urgency=medium

  [ Fabian Greffrath ]
  * Remove myself from Uploaders

  [ Rico Tzschichholz ]
  * Update to new stable upstream
  * New upstream version 0.159.2999+git296494a
  * Drop upstreamed "Export x264_stack_align" patch
  * Update debian/control for soname bump
  * Regenerate manpage

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump debhlper compat to 13
    - Bump Standards-Version
    - Set RRR: no
  * debian/copyright: Bump copyright years
  * debian/rules: Fix awk invocation

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 21 Jun 2020 15:52:08 +0200

x264 (2:0.155.2917+git0a84d98-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 27 Sep 2018 22:03:40 +0200

x264 (2:0.155.2917+git0a84d98-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Rico Tzschichholz ]
  * Update to new stable upstream
  * New upstream version 0.155.2917+git0a84d98
  * Drop custom 10bit build, upstream supports this as runtime option now
  * Update debian/control for soname bump
  * Regenerate manpage
  * Update copyright years

  [ Sebastian Ramacher ]
  * debian/{rules,confflags}:
    - Use dpkg include for architecture variables.
    - Fix dh_install --list-missing warning.
    - Remove cruft.
    - Handle CPPFLAGS.
  * debian/patches: Export x264_stack_align.
  * debian/: Bump debhelper compat to 11.
  * debian/control:
    - Drop obsolete dpkg-dev B-D.
    - Bump Standards-Version.

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 24 Aug 2018 17:25:59 +0200

x264 (2:0.152.2854+gite9a5903-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 19 Jan 2018 12:36:28 +0100

x264 (2:0.152.2854+gite9a5903-1) experimental; urgency=medium

  [ Rico Tzschichholz ]
  * Update to new stable upstream
  * New upstream version 0.152.2854+gite9a5903
  * Require nasm (>= 2.13) instead of yasm
  * Update debian/control for soname bump
  * Regenerate manpage

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version.
    - Remove obsolete Pre-Depends.

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 05 Jan 2018 12:14:48 +0100

x264 (2:0.148.2795+gitaaa9aa8-1) unstable; urgency=medium

  [ Rico Tzschichholz ]
  * Update to new stable upstream
  * New upstream version 0.148.2795+gitaaa9aa8
  * Regenerate manpage
  * Update copyright years

  [ Sebastian Ramacher ]
  * debian/control: Bump Standards-Version.

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 28 Jun 2017 08:31:44 +0200

x264 (2:0.148.2748+git97eaef2-1) unstable; urgency=medium

  * Update to new stable upstream
  * New upstream version 0.148.2748+git97eaef2
  * Regenerate manpage

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 25 Jan 2017 10:40:48 +0100

x264 (2:0.148.2728+git4d5c8b0-1) unstable; urgency=medium

  * Update to new stable upstream
  * New upstream version 0.148.2728+git4d5c8b0

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 08 Dec 2016 09:36:51 +0100

x264 (2:0.148.2708+git86b7198-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * autopkgtest: Use ffmpeg/ffprobe instead of deprecated avconv/avprobe
  * autopkgtest: Use $ADTTMP instead of own tmp directory
  * autopkgtest: Check if produced file is H.264

  [ Rico Tzschichholz ]
  * Update to new stable upstream
  * Imported Upstream version 0.148.2708+git86b7198

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass cross flags to configure. (Closes: #838317)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 21 Sep 2016 22:59:37 +0200

x264 (2:0.148.2699+gita5e06b9-1) unstable; urgency=medium

  * Update to new stable upstream
  * Imported Upstream version 0.148.2699+gita5e06b9

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 14 Jun 2016 08:20:58 +0200

x264 (2:0.148.2668+gitfd2c324-1) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * debian/rules: Update comment.
  * debian/control.in:
    - Update Vcs-*.
    - Bump Standards-Version.

  [ Rico Tzschichholz ]
  * Update to new stable upstream
  * Imported Upstream version 0.148.2668+gitfd2c324

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 12 May 2016 11:12:16 +0200

x264 (2:0.148.2643+git5c65704-1) unstable; urgency=medium

  [ Rico Tzschichholz ]
  * Update to new stable upstream
  * Imported Upstream version 0.148.2643+git5c65704
  * Refresh properly_detect_x32.patch

  [ Sebastian Ramacher ]
  * debian/confflags: No longer filter -g since we have automatic dbgsym
    packages now.

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 18 Jan 2016 18:36:02 +0100

x264 (2:0.148.2601+gita0cd7d3-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 01 Nov 2015 19:42:10 +0100

x264 (2:0.148.2601+gita0cd7d3-2) experimental; urgency=medium

  * Pass --disable-asm while building on mips, mipsel, mips64el
    (Closes: #802550)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 21 Oct 2015 12:27:32 +0200

x264 (2:0.148.2601+gita0cd7d3-1) experimental; urgency=medium

  * Update to new stable upstream
  * Imported Upstream version 0.148.2601+gita0cd7d3
  * Update debian/control for soname bump
  * Refresh patches and drop aarch64 build-fix

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 14 Oct 2015 20:26:50 +0200

x264 (2:0.146.2555+git0c21480-1) unstable; urgency=medium

  [ Rico Tzschichholz ]
  * Update to new stable upstream
  * Imported Upstream version 0.146.2555+git0c21480

  [ Sebastian Ramacher ]
  * debian/source/lintian-overrides: Removed, no longer needed.

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 03 Aug 2015 16:37:49 +0200

x264 (2:0.146.2538+git121396c-3) unstable; urgency=medium

  * Team upload.

  [ Johannes Schauer ]
  * To avoid a circular build dependency, do not build depend on
    libavformat-dev, libffms2-dev and libgpac-dev and do not build the x264
    package when building the stage1 profile. To that end:
       - add build profile annotations to Build-Depends
       - add Build-Profiles field so that only the library is built in the
         stage1 build profile
       - add --disable-avs --disable-ffms --disable-gpac to common_confflags
         when building with stage1
       - depend on the proper versions of debhelper and dpkg-dev for parsing
         build profile information in debian/control
    Based on patch by Peter Pentchev
    (Closes: #752103, #735742)

  [ Sebastian Ramacher ]
  * debian/copyright: other is Expat.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 15 Jul 2015 23:03:53 +0200

x264 (2:0.146.2538+git121396c-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 23 May 2015 14:57:56 +0200

x264 (2:0.146.2538+git121396c-1) experimental; urgency=medium

  [ Rico Tzschichholz ]
  * Update to new upstream snapshot
  * Imported Upstream version 0.146.2538+git121396c
  * Fix the build on AArch64 (Thanks to Matthias Klose)

  [ Sebastian Ramacher ]
  * debian/copyright:
    - Fix path to gas-processor.pl.
    - Update copyright years.
    - Remove unused paragraph.

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 11 May 2015 12:34:22 +0200

x264 (2:0.142.2495+git6a301b6-1) experimental; urgency=low

  [ Fabian Greffrath ]
  * Add a wrapper script to load the 10-bit variant of libx264.
    (Closes: #751458)

  [ Rico Tzschichholz ]
  * Update to new upstream snapshot
  * Imported Upstream version 0.142.2495+git6a301b6
  * Fix wrapper script installation and don't require dpkg-dev
  * Drop obsolete build-dep on libx11-dev (Closes: #752093)
  * Add properly_detect_x32.patch (Closes: #775349)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 14 Jan 2015 23:32:51 +0100

x264 (2:0.142.2431+gita5831aa-1) unstable; urgency=low

  * Update to new upstream snapshot
  * Imported Upstream version 0.142.2431+gita5831aa
  * Fixes for armel and armhf (Closes: #752168)

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 10 Jul 2014 21:21:51 -0400

x264 (2:0.142.2412+gitd7e6896-1) unstable; urgency=medium

  * Update to new upstream snapshot
  * Imported Upstream version 0.142.2412+gitd7e6896
  * Drop powerpcspe.patch which got upstreamed

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 07 Jun 2014 09:16:36 +0200

x264 (2:0.142.2389+git956c8d8-5) unstable; urgency=medium

  [ Peter Michael Green ]
  * Check gcc version directly to determine whether or not
    -fno-aggressive-loop-optimizations should be set rather than assuming based
    on architecture. Closes: #745104

  [ Reinhard Tartler ]
  * Recompile against libav10
  * Link dynamically against libgpac

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 12 May 2014 18:52:02 -0400

x264 (2:0.142.2389+git956c8d8-4) unstable; urgency=low

  * Do not set -fno-aggressive-loop-optimizations on sparc, which was
    introduced only in gcc 4.8 and the debian sparc port currently uses
    only gcc 4.6 (closes: #743713)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 05 Apr 2014 17:45:59 -0400

x264 (2:0.142.2389+git956c8d8-3) unstable; urgency=low

  * Upload to unstable
  * Remove Andres Meja from Uploaders. Andres is MIA according to the MIA
    team. Thank you for maintaining x264, Andres! (Closes: #743527)
  * Bump standards version to 3.9.5, no changes needed

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 05 Apr 2014 08:52:14 -0400

x264 (2:0.142.2389+git956c8d8-2) experimental; urgency=low

  [ William Grant ]
  * Add aarch64-pic.patch to enable -fPIC on arm64 to fix link failure.

  [ Andrew Starr-Bochicchio ]
  * Compile using -fno-aggressive-loop-optimizations (LP: #1241772)

  [ Dimitri John Ledkov ]
  * Update config.guess/sub, attempt building on pp64el

  [ Reinhard Tartler ]
  * Document the license of extras/cl*.h (Closes: #739499)
  * Pickup the patches documented above from Ubuntu while retaining proper
    attribution.
  * Add autopkgtest test case "encode_testimage"

  [ Roland Stigge ]
  * Disable altivec on powerpcspe (Closes: #701628)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 23 Mar 2014 11:09:02 -0400

x264 (2:0.142.2389+git956c8d8-1) experimental; urgency=low

  * Update to new upstream snapshot

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 13 Feb 2014 23:27:06 +0000

x264 (2:0.133.2339+git585324f-2) unstable; urgency=low

  * Upload to unstable
  * Tighten dependency on libgpac-dev

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 19 Aug 2013 17:58:18 +0200

x264 (2:0.133.2339+git585324f-1) experimental; urgency=low

  * Update to new upstream snapshot
  * Imported Upstream version 0.133.2339+git585324f
  * Regenerate debian/control and manpage

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 26 Jul 2013 18:44:18 +0200

x264 (2:0.130.2282+git1db4621-2) experimental; urgency=low

  * Build against libav9 in debian/experimental

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 20 May 2013 14:14:53 +0200

x264 (2:0.130.2282+git1db4621-1) experimental; urgency=low

  [ Rico Tzschichholz ]
  * Update to new upstream snapshot
  * Imported Upstream version 0.130.2282+git1db4621
  * Regenerate debian/control
  * Regenerate manpage
  * Fix some lintian warnings

  [ Reinhard Tartler ]
  * Upload to experimental for now until the release team approves this
    transition.

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 20 May 2013 13:46:44 +0200

x264 (2:0.129.2238+git9c4ba4b-1) experimental; urgency=low

  [ Reinhard Tartler ]
  * Build both 8bit and 10bit versions of libx264, Closes: #667573

  [ Rico Tzschichholz ]
  * Update to new upstream snapshot
  * Imported Upstream version 0.129.2238+git9c4ba4b
  * Regenerate manpage
  * Regenerate debian/control

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 14 Jan 2013 16:51:23 +0100

x264 (2:0.125.2209+git68dfb7b-1) experimental; urgency=low

  * Update to new upstream snapshot
  * Imported Upstream version 0.125.2209+git68dfb7b
  * Regenerate manpage
  * Regenerate debian/control

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 19 Sep 2012 09:58:50 +0200

x264 (2:0.124.2198+git1c97f35-1) experimental; urgency=low

  * Update to new upstream snapshot
  * Imported Upstream version 0.124.2198+git1c97f35
  * Regenerate manpage
  * Regenerate debian/control

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 25 May 2012 07:37:26 +0200

x264 (2:0.123.2189+git35cf912-1) unstable; urgency=low

  * Update to new upstream snapshot
  * Imported Upstream version 0.123.2189+git35cf912
  * Regenerate manpage

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 29 Apr 2012 19:56:17 +0200

x264 (2:0.120.2171+git01f7a33-4) unstable; urgency=low

  * Team upload.
  * Rebuild to pick gpac's new shlib.

 -- Alessio Treglia <alessio@debian.org>  Sat, 21 Apr 2012 08:25:51 +0200

x264 (2:0.120.2171+git01f7a33-3) unstable; urgency=low

  * Fix issue of setting hardened CFLAGS for shared library.

 -- Andres Mejia <amejia@debian.org>  Sat, 17 Mar 2012 14:00:21 -0400

x264 (2:0.120.2171+git01f7a33-2) unstable; urgency=low

  * Allow dev package to be multiarch installable.
  * Bump to Standards-Version 3.9.3.
  * Add hardened build flags excluding -O2 and -g.

 -- Andres Mejia <amejia@debian.org>  Sat, 17 Mar 2012 13:37:11 -0400

x264 (2:0.120.2171+git01f7a33-1) unstable; urgency=low

  * Update to new upstream snapshot
  * Imported Upstream version 0.120.2171+git01f7a33
  * Regenerate manpage

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 15 Mar 2012 17:37:19 +0100

x264 (2:0.120.2151+gita3f4407-3) unstable; urgency=low

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 15 Feb 2012 22:58:10 +0100

x264 (2:0.120.2151+gita3f4407-2) experimental; urgency=low

  [ Fabian Greffrath ]
  * Meanwhile, upstream enabled PIC for the shared library build on ia64,
    mips* and hppa/parisc (once more closes: #642810), so remove our
    Debian-specific workarounds.

  [ Reinhard Tartler ]
  * Build against libgpac to enable MP4 output
  * Add a note about non-relocatable code in the README.Debian file,
    Closes: #657019, LP: #919509

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 10 Feb 2012 21:26:18 +0100

x264 (2:0.120.2151+gita3f4407-1) unstable; urgency=low

  * Update to new upstream snapshot
  * Imported Upstream version 0.120.2151+gita3f4407
  * Regenerate manpage

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 05 Feb 2012 10:31:05 +0100

x264 (2:0.120.2127+gitf33c8cb-2) experimental; urgency=low

  * don't forcefully set --as-needed linker flag to avoid setting it twice
  * Filter out system-wide setting of -Bsymbolic-functions to avoid FTBFS

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 18 Jan 2012 15:22:35 +0100

x264 (2:0.120.2127+gitf33c8cb-1) experimental; urgency=low

  [ Fabian Greffrath ]
  * Simplify the debhelper install file generation.
  * Do not hard-code the library SONAME in debian/rules
    and the debhelper install file anymore.
  * Build the CLI only for the shared library build,
    as this is the actual configuration that we ship in the x264 package.
  * Generate the manpage from the CLI of the shared build.
  * Simplify the manpage generation.
  * Do not hard-code the library SONAME anywhere. Instead, read it from
    the upstream files and regenerate debian/control.

  [ Reinhard Tartler ]
  * Update to new upstream snapshot
  * Imported Upstream version 0.120.2127+gitf33c8cb

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 16 Jan 2012 21:35:50 +0100

x264 (2:0.118.2092+git6eac7c3-2) unstable; urgency=low

  [ Fabian Greffrath ]
  * Remove build-on-hurd.patch, it has already been applied upstream and
    is thus applied twice in Debian.

  [ Reinhard Tartler ]
  * Rebuild against newer libav 0.7.3 to enable libavfilter/libavcodec
    input support.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 31 Dec 2011 11:43:02 +0100

x264 (2:0.118.2092+git6eac7c3-1) unstable; urgency=low

  [ Rico Tzschichholz ]
  * New upstream snapshot.
  * Drop arch-alpha.patch which is upstream

  [ Reinhard Tartler ]
  * debian/control: normalize fieldswith wrap-and-sort
  * remove unnecessary Conflicts/Replaces on non-existing package x264-bin

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 31 Oct 2011 19:47:16 +0100

x264 (2:0.118.2085+git8a62835-1) unstable; urgency=low

  * Team upload.
  * New upstream snapshot.
  * Drop basic-spell-check.patch which is upstream
  * Rename shared library package to lib264-118

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 13 Oct 2011 10:27:50 +0200

x264 (2:0.116.2042+git178455c-3) unstable; urgency=low

  * Debian's alpha buildds identify themselves as alphaev67,
    so consider alpha* as ALPHA (Closes: #642810).

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Thu, 06 Oct 2011 10:33:25 +0200

x264 (2:0.116.2042+git178455c-2) unstable; urgency=low

  * Convert package to include multiarch support.

 -- Andres Mejia <amejia@debian.org>  Sat, 17 Sep 2011 14:08:08 -0400

x264 (2:0.116.2042+git178455c-1) unstable; urgency=low

  * New upstream snapshot.
  * Allow compilation on the Hurd

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 09 Aug 2011 20:44:54 +0200

x264 (2:0.116.2037+gitf8ebd4a-3) unstable; urgency=low

  [ Fabian Greffrath ]
  * Build-Depend on yasm on all i386 and amd64 archs,
    fixes FTBFS on kfreebsd-i386. Remove lpia, it's deprecated.
  * Remove trailing comma from Build-Depends.
  * Build shared lib with --enable-pic on mips*,
    hopefully fixes FTBFS on these arches.

  [ Reinhard Tartler ]
  * enable parallel builds
  * print config.log in case the configure script fails
  * enable ffms2 input module

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 27 Jul 2011 21:36:26 +0200

x264 (2:0.116.2037+gitf8ebd4a-2) unstable; urgency=low

  [ Fabian Greffrath ]
  * Override dh_auto_clean, not dh_clean.
  * Actually build the cli against the shared lib.

  [ Andres Mejia ]
  * Prepare new revision.
  * Generate x264 manpage only once and drop build-depends on help2man. This
    makes for one less build dependency to put on the buildd machines. x264
    manpage should be generated once for each new release on a dev machine and
    tracked in git packaging repo.

 -- Andres Mejia <amejia@debian.org>  Tue, 26 Jul 2011 22:23:58 -0400

x264 (2:0.116.2037+gitf8ebd4a-1) unstable; urgency=low

  [ Andres Mejia ]
  * New upstream release. (Closes: #405212)
  * version.sh modifications no longer need to be made, an updated version.sh
    is installed in upstream tarball.
  * Shared library package is renamed to lib264-116.
  * fix-8x8dct+slices+no-sliced-threads+cavlc+deblock.patch is removed, has
    been applied upstream.
  * Add DM-Upload-Allowed: yes.
  * Convert package to 3.0 (quilt).
  * Convert packaging to dh 7.
  * Change Priority to optional.
  * Update to my @debian.org email.
  * Update VCS-* entries to new anonscm location.
  * --enable-static must be explicitly set to build static library.
  * Add proper version depends for debhelper.
  * Update debian/copyright with new license information for new upstream
    snapshot.
  * Update debian/copyright to use DEP-5 spec.
  * Add patch to do basic spell check.
  * Include all public headers in dev package.

  [ Reinhard Tartler ]
  * Lower debhelper compat level to 7
  * Don't set --enable-debug, no longer a known option for ./configure.

 -- Andres Mejia <amejia@debian.org>  Mon, 25 Jul 2011 19:37:52 -0400

x264 (2:0.98.1653+git88b90d9-3) unstable; urgency=low

  * Build for unstable.
  * Relax dependency on libavformat-dev down to 4:0.5 or greater.
  * Bump Standards-Version to 3.9.1, no changes needed.

 -- Andres Mejia <mcitadel@gmail.com>  Thu, 05 Aug 2010 16:28:28 -0400

x264 (2:0.98.1653+git88b90d9-2) experimental; urgency=low

  * Upload to Debian. Closes: #354667, #405212
  * update download site in debian/copyright
  * avoid running configure on distclean
  * remove libgpac-dev from build-depends, not available in debian yet.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 31 Jul 2010 20:57:46 -0400

x264 (2:0.98.1653+git88b90d9-1) maverick; urgency=low

  * require libavformat-dev from 0.6 or better
  * remove conflicts/replaces to ancient package x264-bin (dapper!
    times)
  * new upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 04 Jul 2010 16:23:51 -0400

x264 (2:0.85.1448+git1a6d32-5) unstable; urgency=low

  * Prepare new upload for Debian.
  * Edit git-buildpackage config file for master branch.
  * Add myself to Uploaders field.
  * Note the x264 homepage.

 -- Andres Mejia <mcitadel@gmail.com>  Sat, 08 May 2010 02:08:19 -0400

x264 (2:0.85.1448+git1a6d32-4) lucid; urgency=low

  * install sse optimized version in /usr/lib/sse2. LP: #550524

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 30 Mar 2010 22:27:28 +0200

x264 (2:0.85.1448+git1a6d32-3) lucid; urgency=low

  [ Loïc Minier ]
  * Finish confflags logic and/or add workarounds

  [ Reinhard Tartler ]
  * build depend on libgpac-dev to enable mp4 support, LP: #464797
  * simplify configure line, LP: #538555
  * generate manpage with help2man to keep it up-to-date, LP: #391281

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 14 Mar 2010 10:10:26 +0100

x264 (2:0.85.1448+git1a6d32-2) lucid; urgency=low

  * Add check_c() macro and use it for altivec check

 -- Loïc Minier <loic.minier@ubuntu.com>  Tue, 09 Mar 2010 21:40:23 +0100

x264 (2:0.85.1448+git1a6d32-1) lucid; urgency=low

  [ Loic Minier ]
  * Drop --enable-pic, let's see what breaks, LP: #524859

  [ Reinhard Tartler ]
  * New upstream snapshot, no new features, LP: #526396
  * remove quilt infrastructure
  * don't set CFLAGS in debian/rules, upstream build system overrides
    this anyways

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 21 Feb 2010 16:57:21 +0100

x264 (2:0.85.1442.1+git781d30-1) lucid; urgency=low

  * use proper upstream version
    (NB: the first number (85) is the API version,
         the second the number of git commits so far)
  * New upstream version should fix: LP: #315697, #463516
  * Many ARM Neon Optimisations, LP: #388388
  * this package is properly maintained in ubuntu. Indicate this by using
    "-N" as versioning scheme.
  * change versioning scheme as discussed with upstream. Requires bumping
    epoch, though.
  * ensure that MP4 output support is enabled, LP: #464797

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 18 Feb 2010 07:39:51 +0100

x264 (1:0.svn20100213+gitfcf70c-0ubuntu1~ppa1) lucid; urgency=low

  * new upstream version test upload.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 13 Feb 2010 18:07:40 +0100

x264 (1:0.svn20090621+git364d7d-0ubuntu2) karmic; urgency=low

  * update symbol files with architecture specific symbols.
  * remove reference to the now removed bime version, LP: #371786

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 21 Jun 2009 18:18:51 +0200

x264 (1:0.svn20090621+git364d7d-0ubuntu1) karmic; urgency=low

  * New Upstream Version
  * add symbols file
  * make dh_makeshlibs less strict

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 21 Jun 2009 11:22:31 +0200

x264 (1:0.svn20090502-0.0ubuntu2) karmic; urgency=low

  * take over marillats package under the umbrella of pkg-multimedia

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 14 Jun 2009 17:49:13 +0200

x264 (1:0.svn20090502-0.0ubuntu1) karmic; urgency=low

  * Merge from debian-multimedia, Ubuntu remaining changes:
    - Build-Depends on yasm for lpia.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 04 May 2009 23:15:42 +0200

x264 (1:0.svn20090502-0.0) unstable; urgency=low

  * New git release.

 -- Christian Marillat <marillat@debian.org>  Sat, 02 May 2009 10:34:20 +0200

x264 (1:0.svn20090413-0.0) unstable; urgency=low

  * New git release.

 -- Christian Marillat <marillat@debian.org>  Mon, 13 Apr 2009 15:43:31 +0200

x264 (1:0.svn20090327-0.1) unstable; urgency=low

  * New patch to fix powerpc build.

 -- Christian Marillat <marillat@debian.org>  Sat, 28 Mar 2009 14:12:38 +0100

x264 (1:0.svn20090327-0.0) unstable; urgency=low

  * New git release.
  * New library soname (67).
  * Don't Build-Depends on libgpac-dev (circulary dependency with ffmpeg,
    gpac and x264) and remove --enable-mp4-output.

 -- Christian Marillat <marillat@debian.org>  Fri, 27 Mar 2009 15:02:02 +0100

x264 (1:0.svn20090222-0.0) unstable; urgency=low

  * New git release.
  * New library soname (66).

 -- Christian Marillat <marillat@debian.org>  Sun, 22 Feb 2009 09:07:29 +0100

x264 (1:0.svn20090115-0.0) unstable; urgency=low

  * New git release.

 -- Christian Marillat <marillat@debian.org>  Thu, 15 Jan 2009 18:22:50 +0100

x264 (1:0.svn20081230-0.0ubuntu1) jaunty; urgency=low

  * Merge from Debian multimedia (LP: #243451), remaining Ubuntu changes:
    - b-d on yasm on lpia.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Thu, 15 Jan 2009 23:15:42 +0100

x264 (1:0.svn20081230-0.0) unstable; urgency=low

  * New git release.

 -- Christian Marillat <marillat@debian.org>  Tue, 30 Dec 2008 16:11:33 +0100

x264 (1:0.svn20081210-0.0) unstable; urgency=low

  * Net git release.
  * Now yasm is the default assembler.
  * The GTK frontend is gone.

 -- Christian Marillat <marillat@debian.org>  Wed, 10 Dec 2008 14:40:45 +0100

x264 (1:0.svn20080712-0.1) unstable; urgency=high

  * Seems to be a problem with the previous release (Segfault) that I'm
    unable to reproduce, so back to this version for Lenny.

 -- Christian Marillat <marillat@debian.org>  Sat, 13 Sep 2008 17:53:03 +0200

x264 (0.svn20080828-0.0) unstable; urgency=low

  * New git release.

 -- Christian Marillat <marillat@debian.org>  Thu, 28 Aug 2008 12:59:18 +0200

x264 (0.svn20080712-0.0) unstable; urgency=low

  * New git release.

 -- Christian Marillat <marillat@debian.org>  Sat, 12 Jul 2008 23:13:24 +0200

x264 (0.svn20080616-0.0) unstable; urgency=low

  * New git release.

 -- Christian Marillat <marillat@debian.org>  Mon, 16 Jun 2008 15:26:32 +0200

x264 (1:0.svn20080408-0.0ubuntu1) intrepid; urgency=low

  * Merge from debian-multimedia. Remaining Ubuntu changes:
   - Maintainer field
   - Set epoch

 -- John Dong <jdong@ubuntu.com>  Sat, 03 May 2008 01:12:18 -0400

x264 (0.svn20080408-0.0) unstable; urgency=low

  * New git release.

 -- Christian Marillat <marillat@debian.org>  Tue, 08 Apr 2008 14:21:37 +0200

x264 (0.svn20080223-0.0) unstable; urgency=low

  * New svn release 736.

 -- Christian Marillat <marillat@debian.org>  Sat, 23 Feb 2008 14:31:31 +0100

x264 (1:0.svn20071224-0.0ubuntu1) hardy; urgency=low

  * Merge from debian-multimedia (LP: #177082)
    - Maintainer field
    - Set epoch
    - b-d nasm on lpia
    - Drop b-d version on nasm,  associated Debian issue not relevant
      to Ubuntu.

 -- John Dong <jdong@ubuntu.com>  Sun, 06 Jan 2008 23:38:50 -0500

x264 (0.svn20071224-0.0) unstable; urgency=low

  * New svn release 714.

 -- Christian Marillat <marillat@debian.org>  Mon, 24 Dec 2007 09:23:30 +0100

x264 (0.svn20071202-0.0) unstable; urgency=low

  * New svn release 705.

 -- Christian Marillat <marillat@debian.org>  Sun, 02 Dec 2007 14:24:50 +0100

x264 (1:0.svn20070930-0.0ubuntu2) hardy; urgency=low

  * No source change reupload, got accidentally removed from archive.

 -- John Dong <jdong@ubuntu.com>  Fri, 30 Nov 2007 23:00:11 -0500

x264 (1:0.svn20070930-0.0ubuntu1) hardy; urgency=low

  * Fakesync with debian-multimedia (LP: #138854)
    - Set epoch
    - b-d nasm on lpia
    - Drop b-d version on nasm,  associated Debian issue not relevant
      to Ubuntu.

 -- John Dong <jdong@ubuntu.com>  Sun, 18 Nov 2007 15:14:01 -0500

x264 (0.svn20070930-0.0) unstable; urgency=low

  * New svn release 680.

 -- Christian Marillat <marillat@debian.org>  Sun, 30 Sep 2007 09:25:00 +0200

x264 (0.svn20070823-0.1) unstable; urgency=low

  * Same bug as in 0.svn20070613-0.2 yasm doesn't work and the latest nasm
    (0.99.01-1) doesn't work too... So make a Build-Depends on
    nasm (= 0.98.38-1.2).


 -- Christian Marillat <marillat@debian.org>  Fri, 31 Aug 2007 18:41:42 +0200

x264 (0.svn20070823-0.0) unstable; urgency=low

  * New svn release 671.
  * Back to yasm for i386 (doesn't build with latest nasm and yasm support
    for i386 seem's to be fixed).

 -- Christian Marillat <marillat@debian.org>  Thu, 23 Aug 2007 10:19:52 +0200

x264 (0.svn20070613-0.2) unstable; urgency=low

  * Build with nasm for i386.

 -- Christian Marillat <marillat@debian.org>  Sat, 23 Jun 2007 11:50:58 +0200

x264 (0.svn20070613-0.1) unstable; urgency=low

  * Forgot to add dpatch in Build-Depends. Also this package is build with
    --enable-mp4-output

 -- Christian Marillat <marillat@debian.org>  Wed, 13 Jun 2007 23:31:55 +0200

x264 (0.svn20070613-0.0) unstable; urgency=low

  * New svn release.
  * Build with --enable-gtk, --enable-mp4-output  and --enable-visualize
  * Use yasm instead of nasm for i386.

 -- Christian Marillat <marillat@debian.org>  Wed, 13 Jun 2007 17:45:02 +0200

x264 (0.svn20070309-5) unstable; urgency=low

  * Upload for my repository.

 -- Christian Marillat <marillat@debian.org>  Wed, 16 May 2007 15:29:36 +0200

x264 (0.svn20070309-4) unstable; urgency=low

  * debian/patches/010_altivec_crash.diff:
    + Updated upstream patch to fix an FTBFS.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 14 Mar 2007 23:10:23 +0100

x264 (0.svn20070309-3) unstable; urgency=low

  * debian/control:
    + Set pkg-multimedia-maintainers as main maintainer, added Fabian
      Greffrath as uploader.
    + Updated VCS fields.

  * debian/patches/010_altivec_crash.diff:
    + New patch from upstream: runtime AltiVec detection and workaround
      for gcc generating AltiVec code here and there with -maltivec.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 14 Mar 2007 19:20:43 +0100

x264 (0.svn20070309-2) unstable; urgency=low

  * debian/rules:
    + Activate --enable-pthread.
  * debian/control:
    + Added conflicts/replaces x264-bin because of unofficial packages that
      decided "x264" was not a good package name for the "x264" program
      (Closes: #414648).
  * debian/copyright:
    + Cleaned up, removed mention to NetBSD files that are no longer here.
  * debian/patches/000_usr_prefix.diff:
    + Remove this patch in favour of --prefix=/usr.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 13 Mar 2007 02:04:58 +0100

x264 (0.svn20070309-1) unstable; urgency=low

  * Initial release (Closes: #405212).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri,  9 Mar 2007 22:59:37 +0100
